Get a DeploymentTargetTag by ID or Slug
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).tagstring (required)
ID or Slug of the DeploymentTargetTag.
Response
200 — The requested DeploymentTargetTag
SpaceIdstringTagstring
Example Response
{
"SpaceId": "Spaces-1",
"Tag": "string"
}Get DeploymentTargetTags by DeploymentTargetTag IDs and Machine ID (deployment target ID)
GET /api
Also reachable at /api, /api.
Gets a paginated list of DeploymentTargetTag.
Path Parameters
spaceIdstring (required)
The ID of the Space to which the DeploymentTargetTags belong.
Query Parameters
machineIdsarray of string
The Machine ID to filter by.skipinteger
Number of items to skip. Defaults to zero. Minimum0.tagsarray of string
The DeploymentTargetTag IDs to filter by.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested DeploymentTargetTags.
CountintegerDeploymentTargetTagsarray of objectSpaceIdstringTagstring
Example Response
{
"Count": 0,
"DeploymentTargetTags": [
{
"SpaceId": "Spaces-1",
"Tag": "string"
}
]
}Create a new DeploymentTargetTag
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space for the DeploymentTargetTag.
Request Body
SpaceIdstring (required)
The ID of the space for the DeploymentTargetTag.Tagstring (required)
The name or tag of the DeploymentTargetTag. Minimum length 1. Maximum length 200.
Response
201 — Created
SpaceIdstringTagstring
Example Request
{
"SpaceId": "Spaces-1",
"Tag": "string"
}Example Response
{
"SpaceId": "Spaces-1",
"Tag": "string"
}Delete a DeploymentTargetTag
DELETE /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).tagstring (required)
The Tag of the DeploymentTargetTag to delete.
Response
200 — Success